

#include "BUILTIN.h"
extern OBJ _AImpExpEntry_91(OBJ);extern OBJ __AImpExpEntry_91;
extern OBJ _ACom_23(OBJ);extern OBJ __ACom_23;
extern OBJ _ACom_47(OBJ,OBJ);extern OBJ __ACom_47;
extern OBJ __APragma_5;
extern OBJ _AStruct_3(OBJ);extern OBJ __AStruct_3;
extern OBJ _AStruct_7(OBJ);extern OBJ __AStruct_7;
extern OBJ _AStruct_14(OBJ);extern OBJ __AStruct_14;
extern OBJ _AStruct_16(OBJ);extern OBJ __AStruct_16;

#include "Real.h"
extern OBJ _ADArray_20(OBJ,OBJ);extern OBJ __ADArray_20;
extern OBJ _AAnalyzedGlobSig_31(OBJ,OBJ);extern OBJ __AAnalyzedGlobSig_31;
extern OBJ _AAnalyzedGlobSig_65(OBJ,OBJ);extern OBJ __AAnalyzedGlobSig_65;
extern OBJ _AAnalyzedGlobSig_70(OBJ,OBJ);extern OBJ __AAnalyzedGlobSig_70;
extern OBJ _AGlobSig_46(OBJ);extern OBJ __AGlobSig_46;
extern OBJ _AGlobSig_55(OBJ);extern OBJ __AGlobSig_55;

#include "Array.h"
extern OBJ _AGlobPragma_14(OBJ,OBJ);extern OBJ __AGlobPragma_14;
extern OBJ __APartName_11;
extern OBJ _APartName_28(OBJ);extern OBJ __APartName_28;
extern OBJ _AName_12(OBJ);extern OBJ __AName_12;

#include "Denotation.h"
extern OBJ _AComCompose_3(OBJ,OBJ);extern OBJ __AComCompose_3;
extern OBJ _AComCompose_4(OBJ,OBJ);extern OBJ __AComCompose_4;
extern OBJ _AComCompose_5(OBJ,OBJ);extern OBJ __AComCompose_5;
extern OBJ _AComCompose_6(OBJ,OBJ);extern OBJ __AComCompose_6;
extern OBJ _ADEBUG_2(OBJ,OBJ,OBJ);extern OBJ __ADEBUG_2;
extern OBJ _ADEBUG_10(OBJ);extern OBJ __ADEBUG_10;
extern OBJ __AOcVerbose_2;
extern OBJ __AOcVerbose_3;
extern OBJ _AOcVerbose_4(OBJ,OBJ,OBJ);extern OBJ __AOcVerbose_4;
extern OBJ __AOcExit_1;
extern OBJ _APair_5(OBJ);extern OBJ __APair_5;
extern TUP2 _ADataDefAnalysis_2(OBJ,OBJ);extern OBJ __ADataDefAnalysis_2;
extern TUP2 _ADataDefAnalysis_3(OBJ,OBJ);extern OBJ __ADataDefAnalysis_3;
extern OBJ _AMap_16(OBJ,OBJ,OBJ);extern OBJ __AMap_16;
extern OBJ _AMap_20(OBJ,OBJ,OBJ);extern OBJ __AMap_20;
extern OBJ _AMap_22(OBJ,OBJ);extern OBJ __AMap_22;
extern OBJ _AFunDefAnalysis_1(OBJ);extern OBJ __AFunDefAnalysis_1;
extern TUP2 _AFunDefAnalysis_2(OBJ,OBJ);extern OBJ __AFunDefAnalysis_2;

#include "Nat.h"
extern TUP2 _ALawAnalysis_2(OBJ,OBJ);extern OBJ __ALawAnalysis_2;
extern OBJ __AOcError_12;
extern OBJ __AOcError_15;
extern OBJ _AOcError_16(OBJ,OBJ,OBJ);extern OBJ __AOcError_16;
extern OBJ _AOcError_21(OBJ,OBJ);extern OBJ __AOcError_21;
extern OBJ _AOcError_22(OBJ);extern OBJ __AOcError_22;
extern OBJ _AOcError_25(OBJ,OBJ);extern OBJ __AOcError_25;
extern TUP2 _APragmaAnalysis_1(OBJ,OBJ);extern OBJ __APragmaAnalysis_1;
extern OBJ _APragmaAnalysis_2(OBJ,OBJ);extern OBJ __APragmaAnalysis_2;
extern OBJ _APragmaAnalysis_3(OBJ,OBJ,OBJ);extern OBJ __APragmaAnalysis_3;
extern OBJ _ARep_24(OBJ,OBJ);extern OBJ __ARep_24;
extern OBJ _ARep_27(OBJ,OBJ);extern OBJ __ARep_27;
extern OBJ __ARep_96;
extern OBJ __ARep_97;
extern OBJ __ARep_98;
extern OBJ _ASeqMap_3(OBJ,OBJ);extern OBJ __ASeqMap_3;
extern OBJ _AMapReduce_6(OBJ,OBJ,OBJ,OBJ);extern OBJ __AMapReduce_6;
extern OBJ _ASeqFilter_2(OBJ,OBJ);extern OBJ __ASeqFilter_2;
extern OBJ _ASeqReduce_3(OBJ,OBJ,OBJ);extern OBJ __ASeqReduce_3;
extern OBJ __ASeq_6;
extern OBJ _ASeq_14(OBJ,OBJ);extern OBJ __ASeq_14;
extern OBJ _ASeq_26(OBJ,OBJ);extern OBJ __ASeq_26;
extern OBJ _ASeq_40(OBJ,OBJ);extern OBJ __ASeq_40;
extern OBJ _ASeq_42(OBJ,OBJ);extern OBJ __ASeq_42;
extern OBJ _ASeqOfSeq_2(OBJ);extern OBJ __ASeqOfSeq_2;

#include "Char.h"

#include "Int.h"

#include "Bitset.h"
extern OBJ _AImplementationAnalysis_1(OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_1; /* implAna */
extern OBJ _AImplementationAnalysis_3(OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_3; /* ;; */
extern OBJ _AImplementationAnalysis_4(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_4; /* implAna,1 */
extern OBJ _AImplementationAnalysis_5(OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_5; /* analyzeFreeTypes */
extern OBJ _AImplementationAnalysis_6(OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_6; /* analyzeFreeType */
extern OBJ _AImplementationAnalysis_7(OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_7; /* analyzeSortImpls */
extern OBJ _AImplementationAnalysis_8(OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_8; /* analyzeSortImpl */
extern OBJ _AImplementationAnalysis_9(OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_9; /* analyzeFunImpls */
extern OBJ _AImplementationAnalysis_10(OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_10; /* analyzeFunImpl */
extern OBJ _AImplementationAnalysis_11(OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_11; /* analyzeLaws */
extern OBJ _AImplementationAnalysis_12(OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_12; /* analyzeLaw */
extern OBJ _AImplementationAnalysis_13(OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_13; /* analyzePragmas */
extern OBJ _AImplementationAnalysis_14(OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_14; /* analyzePragma */
extern OBJ _AImplementationAnalysis_15(OBJ);OBJ __AImplementationAnalysis_15; /* Rels2Pragmas */
extern OBJ _AImplementationAnalysis_16(OBJ,OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_16; /* checkImports */
extern OBJ _AImplementationAnalysis_17(OBJ,OBJ);OBJ __AImplementationAnalysis_17; /* checkRelations */
extern OBJ _AImplementationAnalysis_18(OBJ,OBJ);OBJ __AImplementationAnalysis_18; /* getPragmaN */
OBJ __AImplementationAnalysis_19; /* printGsImpl? */
extern OBJ _AImplementationAnalysis_20(OBJ);OBJ __AImplementationAnalysis_20; /* printGsImpl */
extern OBJ _AImplementationAnalysis_21(OBJ,OBJ);OBJ __AImplementationAnalysis_21; /* ;;'21 */
extern OBJ _AImplementationAnalysis_22(OBJ,OBJ);OBJ __AImplementationAnalysis_22; /* ;;'22 */
OBJ __AImplementationAnalysis_23; /* analyzeFreeType'23 */
OBJ __AImplementationAnalysis_24; /* analyzeFreeType'24 */
extern OBJ _AImplementationAnalysis_25(OBJ,OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_25; /* analyzeFreeType'25 */
extern OBJ _AImplementationAnalysis_26(OBJ,OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_26; /* analyzeSortImpl'26 */
extern OBJ _AImplementationAnalysis_27(OBJ,OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_27; /* analyzeFunImpl'27 */
OBJ __AImplementationAnalysis_28; /* analyzeLaw'28 */
extern OBJ _AImplementationAnalysis_29(OBJ,OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_29; /* analyzeLaw'29 */
extern OBJ _AImplementationAnalysis_30(OBJ,OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_30; /* analyzePragma'30 */
extern OBJ _AImplementationAnalysis_31(OBJ,OBJ);OBJ __AImplementationAnalysis_31; /* Rels2Pragmas'31 */
extern OBJ _AImplementationAnalysis_32(OBJ);OBJ __AImplementationAnalysis_32; /* Rels2Pragmas'32 */
extern OBJ _AImplementationAnalysis_33(OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_33; /* Rels2Pragmas'33 */
OBJ __AImplementationAnalysis_34; /* checkImports'34 */
extern OBJ _AImplementationAnalysis_35(OBJ);OBJ __AImplementationAnalysis_35; /* checkImports'35 */
OBJ __AImplementationAnalysis_36; /* checkImports'36 */
extern OBJ _AImplementationAnalysis_37(OBJ);OBJ __AImplementationAnalysis_37; /* checkImports'37 */
OBJ __AImplementationAnalysis_38; /* checkImports'38 */
extern OBJ _AImplementationAnalysis_39(OBJ);OBJ __AImplementationAnalysis_39; /* checkImports'39 */
extern OBJ _AImplementationAnalysis_40(OBJ,OBJ);OBJ __AImplementationAnalysis_40; /* checkImports'40 */
extern OBJ _AImplementationAnalysis_41(OBJ);OBJ __AImplementationAnalysis_41; /* checkImports'41 */
extern OBJ _AImplementationAnalysis_42(OBJ,OBJ);OBJ __AImplementationAnalysis_42; /* checkImports'42 */
extern OBJ _AImplementationAnalysis_43(OBJ,OBJ);OBJ __AImplementationAnalysis_43; /* checkImports'43 */
extern OBJ _AImplementationAnalysis_44(OBJ,OBJ);OBJ __AImplementationAnalysis_44; /* getPragmaN'44 */
extern OBJ _AImplementationAnalysis_45(OBJ,OBJ);OBJ __AImplementationAnalysis_45; /* getPragmaN'45 */
OBJ __AImplementationAnalysis_46; /* checkRelations'46 */
OBJ __AImplementationAnalysis_47; /* checkRelations'47 */
extern OBJ _AImplementationAnalysis_48(OBJ);OBJ __AImplementationAnalysis_48; /* checkRelations'48 */
OBJ __AImplementationAnalysis_49; /* checkRelations'49 */
extern OBJ _AImplementationAnalysis_50(OBJ);OBJ __AImplementationAnalysis_50; /* checkRelations'50 */
OBJ __AImplementationAnalysis_51; /* checkRelations'51 */
extern OBJ _AImplementationAnalysis_52(OBJ);OBJ __AImplementationAnalysis_52; /* checkRelations'52 */
extern OBJ _AImplementationAnalysis_53(OBJ);OBJ __AImplementationAnalysis_53; /* checkRelations'53 */
extern OBJ _AImplementationAnalysis_54(OBJ,OBJ);OBJ __AImplementationAnalysis_54; /* checkRelations'54 */
extern OBJ _AImplementationAnalysis_55(OBJ,OBJ);OBJ __AImplementationAnalysis_55; /* checkRelations'55 */
extern OBJ _AImplementationAnalysis_56(OBJ,OBJ);OBJ __AImplementationAnalysis_56; /* checkRelations'56 */
extern OBJ _AImplementationAnalysis_57(OBJ,OBJ);OBJ __AImplementationAnalysis_57; /* checkRelations'57 */
extern OBJ _AImplementationAnalysis_58(OBJ,OBJ);OBJ __AImplementationAnalysis_58; /* checkRelations'58 */
OBJ __AImplementationAnalysis_59; /* implAna,1'59 */
extern OBJ _AImplementationAnalysis_60(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ);OBJ __AImplementationAnalysis_60; /* implAna,1'60 */
OBJ __AImplementationAnalysis_61; /* implAna'61 */
extern OBJ _AImplementationAnalysis_62(OBJ);OBJ __AImplementationAnalysis_62; /* implAna'62 */
extern OBJ _AImplementationAnalysis_63(OBJ);OBJ __AImplementationAnalysis_63; /* implAna'63 */
OBJ __AImplementationAnalysis_64; /* printGsImpl?'64 */

extern OBJ _AImplementationAnalysis_1(OBJ x1,OBJ x2,OBJ x3) /* implAna */
{OBJ r;
 {OBJ x108;OBJ x93;OBJ x78;OBJ x63;OBJ x48;OBJ x33;OBJ x18;OBJ x109;
  if(ISPRM(x2)){
   HLT("Struct at <unknown> : undefined selection imports\'Struct:struct->seq");
  }else{
   {OBJ x125=FLD1(x2,2);OBJ x128=FLD1(x2,5);OBJ x129=FLD1(x2,6);OBJ x130=FLD1(x2,7);OBJ x131=FLD1(x2,8);OBJ x132=FLD1(x2,9);OBJ x135=FLD1(x2,12);
    if(EXPRD(x2,1)){
     x108=x125;x33=x128;x48=x129;x18=x130;x63=x131;x78=x132;x93=x135;
     FLD1(x2,2)=NIL;FLD1(x2,5)=NIL;FLD1(x2,6)=NIL;FLD1(x2,7)=NIL;FLD1(x2,8)=NIL;FLD1(x2,9)=NIL;FLD1(x2,12)=NIL;DSPRD(x2);
    }else{
     COPY(x125,1);COPY(x128,1);COPY(x129,1);COPY(x130,1);COPY(x131,1);COPY(x132,1);COPY(x135,1);
     x108=x125;x33=x128;x48=x129;x18=x130;x63=x131;x78=x132;x93=x135;
     FRPRD(x2,1);}
    CPCLS(__AImplementationAnalysis_63,1);}}
  x109=_AImplementationAnalysis_4(x1,x18,x33,x48,x63,x78,x93,x108,x3);
  r=_AComCompose_5(x109,__AImplementationAnalysis_63);}
 return r;}

extern OBJ _AImplementationAnalysis_3(OBJ x1,OBJ x2,OBJ x3) /* ;; */
{OBJ r;
 CPCLS(__AImplementationAnalysis_22,1);
 {OBJ x4;OBJ x5;
  x4=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x3);
  x5=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_22,1))(__AImplementationAnalysis_22,x2);
  r=_AComCompose_3(x4,x5);}
 return r;}

extern OBJ _AImplementationAnalysis_4(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7,OBJ x8,OBJ x9) /* implAna,1 */
{OBJ r;
 CPPRD(__AImplementationAnalysis_59,1);
 CPCLS(__AImplementationAnalysis_60,1);
 CPPRD(x1,1);
 {OBJ x10;OBJ x11;
  x10=_AOcVerbose_4(x1,__AOcVerbose_2,__AImplementationAnalysis_59);
  x11=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_60,9))(__AImplementationAnalysis_60,x1,x2,x3,x4,x5,x6,x7,x8,x9);
  r=_AComCompose_3(x10,x11);}
 return r;}

extern OBJ _AImplementationAnalysis_5(OBJ x1,OBJ x2,OBJ x3) /* analyzeFreeTypes */
{OBJ r;
 if(ISPRM(x2)){
  FRPRD(x1,1);
  CPCLS(__ACom_47,1);
  {OBJ x26;OBJ x27;OBJ x28;
   PRD1(2,x26);FLD1(x26,1)=x3;FLD1(x26,2)=__ABUILTIN_5;
   PRD(1,0,x27);FLD(x27,1)=x26;
   x28=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x27);
   PRD(2,0,r);FLD(r,1)=x28;FLD(r,2)=__ASeq_6;}
 }else{
  {OBJ x29=FLD1(x2,1);OBJ x30=FLD1(x2,2);
   if(EXPRD(x2,1)){
    DSPRDF(x2);
   }else{
    CPPRD(x29,1);COPY(x30,1);
    FRPRD(x2,1);}
   CPPRD(x1,1);
   CPCLS(__AImplementationAnalysis_5,1);
   CPCLS(__AImplementationAnalysis_6,1);
   {OBJ x33;OBJ x32;
    x33=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_6,2))(__AImplementationAnalysis_6,x1,x29);
    x32=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_5,2))(__AImplementationAnalysis_5,x1,x30);
    r=_AImplementationAnalysis_3(x33,x32,x3);}}}
 return r;}

extern OBJ _AImplementationAnalysis_6(OBJ x1,OBJ x2,OBJ x3) /* analyzeFreeType */
{OBJ r;
 {OBJ x4=FLD1(x2,1);
  COPY(x4,1);
  CPPRD(x1,1);
  CPPRD(__AImplementationAnalysis_23,1);
  CPPRD(__AImplementationAnalysis_24,1);
  CPCLS(__AImplementationAnalysis_25,1);
  {OBJ x7;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;
   x7=x4;
   x8=_APartName_28(x7);
   ADenotation_4(__AImplementationAnalysis_23,x8,x9);
   ADenotation_4(x9,__AImplementationAnalysis_24,x10);
   x11=_AOcVerbose_4(x1,__AOcVerbose_3,x10);
   x12=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_25,3))(__AImplementationAnalysis_25,x1,x2,x3);
   r=_AComCompose_3(x11,x12);}}
 return r;}

extern OBJ _AImplementationAnalysis_7(OBJ x1,OBJ x2,OBJ x3) /* analyzeSortImpls */
{OBJ r;
 if(ISPRM(x2)){
  FRPRD(x1,1);
  CPCLS(__ACom_47,1);
  {OBJ x26;OBJ x27;OBJ x28;
   PRD1(2,x26);FLD1(x26,1)=x3;FLD1(x26,2)=__ABUILTIN_5;
   PRD(1,0,x27);FLD(x27,1)=x26;
   x28=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x27);
   PRD(2,0,r);FLD(r,1)=x28;FLD(r,2)=__ASeq_6;}
 }else{
  {OBJ x29=FLD1(x2,1);OBJ x30=FLD1(x2,2);
   if(EXPRD(x2,1)){
    DSPRDF(x2);
   }else{
    CPPRD(x29,1);COPY(x30,1);
    FRPRD(x2,1);}
   CPPRD(x1,1);
   CPCLS(__AImplementationAnalysis_7,1);
   CPCLS(__AImplementationAnalysis_8,1);
   {OBJ x33;OBJ x32;
    x33=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_8,2))(__AImplementationAnalysis_8,x1,x29);
    x32=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_7,2))(__AImplementationAnalysis_7,x1,x30);
    r=_AImplementationAnalysis_3(x33,x32,x3);}}}
 return r;}

extern OBJ _AImplementationAnalysis_8(OBJ x1,OBJ x2,OBJ x3) /* analyzeSortImpl */
{OBJ r;
 {OBJ x4=FLD1(x2,1);
  COPY(x4,1);
  CPPRD(x1,1);
  CPPRD(__AImplementationAnalysis_24,1);
  CPCLS(__AImplementationAnalysis_26,1);
  {OBJ x7;OBJ x8;OBJ x9;OBJ x10;OBJ x11;
   x7=x4;
   x8=_APartName_28(x7);
   ADenotation_4(x8,__AImplementationAnalysis_24,x9);
   x10=_AOcVerbose_4(x1,__AOcVerbose_3,x9);
   x11=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_26,3))(__AImplementationAnalysis_26,x1,x2,x3);
   r=_AComCompose_3(x10,x11);}}
 return r;}

extern OBJ _AImplementationAnalysis_9(OBJ x1,OBJ x2,OBJ x3) /* analyzeFunImpls */
{OBJ r;
 if(ISPRM(x2)){
  FRPRD(x1,1);
  CPCLS(__ACom_47,1);
  {OBJ x26;OBJ x27;OBJ x28;
   PRD1(2,x26);FLD1(x26,1)=x3;FLD1(x26,2)=__ABUILTIN_5;
   PRD(1,0,x27);FLD(x27,1)=x26;
   x28=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x27);
   PRD(2,0,r);FLD(r,1)=x28;FLD(r,2)=__ASeq_6;}
 }else{
  {OBJ x29=FLD1(x2,1);OBJ x30=FLD1(x2,2);
   if(EXPRD(x2,1)){
    DSPRDF(x2);
   }else{
    CPPRD(x29,1);COPY(x30,1);
    FRPRD(x2,1);}
   CPPRD(x1,1);
   CPCLS(__AImplementationAnalysis_9,1);
   CPCLS(__AImplementationAnalysis_10,1);
   {OBJ x33;OBJ x32;
    x33=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_10,2))(__AImplementationAnalysis_10,x1,x29);
    x32=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_9,2))(__AImplementationAnalysis_9,x1,x30);
    r=_AImplementationAnalysis_3(x33,x32,x3);}}}
 return r;}

extern OBJ _AImplementationAnalysis_10(OBJ x1,OBJ x2,OBJ x3) /* analyzeFunImpl */
{OBJ r;
 CPPRD(__AImplementationAnalysis_24,1);
 CPCLS(__AImplementationAnalysis_27,1);
 CPPRD(x1,1);
 CPPRD(x2,1);
 {OBJ x4;OBJ x5;OBJ x6;OBJ x7;OBJ x8;
  x4=_AFunDefAnalysis_1(x2);
  x5=_APartName_28(x4);
  ADenotation_4(x5,__AImplementationAnalysis_24,x6);
  x7=_AOcVerbose_4(x1,__AOcVerbose_3,x6);
  x8=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_27,3))(__AImplementationAnalysis_27,x1,x2,x3);
  r=_AComCompose_3(x7,x8);}
 return r;}

extern OBJ _AImplementationAnalysis_11(OBJ x1,OBJ x2,OBJ x3) /* analyzeLaws */
{OBJ r;
 if(ISPRM(x2)){
  FRPRD(x1,1);
  CPCLS(__ACom_47,1);
  {OBJ x26;OBJ x27;OBJ x28;
   PRD1(2,x26);FLD1(x26,1)=x3;FLD1(x26,2)=__ABUILTIN_5;
   PRD(1,0,x27);FLD(x27,1)=x26;
   x28=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x27);
   PRD(2,0,r);FLD(r,1)=x28;FLD(r,2)=__ASeq_6;}
 }else{
  {OBJ x29=FLD1(x2,1);OBJ x30=FLD1(x2,2);
   if(EXPRD(x2,1)){
    DSPRDF(x2);
   }else{
    CPPRD(x29,1);COPY(x30,1);
    FRPRD(x2,1);}
   CPPRD(x1,1);
   CPCLS(__AImplementationAnalysis_11,1);
   CPCLS(__AImplementationAnalysis_12,1);
   {OBJ x33;OBJ x32;
    x33=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_12,2))(__AImplementationAnalysis_12,x1,x29);
    x32=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_11,2))(__AImplementationAnalysis_11,x1,x30);
    r=_AImplementationAnalysis_3(x33,x32,x3);}}}
 return r;}

extern OBJ _AImplementationAnalysis_12(OBJ x1,OBJ x2,OBJ x3) /* analyzeLaw */
{OBJ r;
 {OBJ x17=FLD1(x2,1);
  CPPRD(x17,1);
  {OBJ x21=FLD1(x17,2);
   CPPRD(x21,2);
   if(EXPRD(x17,1)){
    FRPRD(FLD1(x17,2),1);DSPRDF(x17);
   }else{
    DCPRD(x17,1);}
   CPPRD(__ADenotation_3,1);
   {OBJ x23;OBJ x24;OBJ x25;OBJ x26;OBJ x27;
    ADenotation_21(x21,__ADenotation_3,x23);
    if(ISTGPRM(x23,1)){
     FRPRD(x21,1);
     CPPRD(x1,1);
     CPPRD(__AImplementationAnalysis_24,1);
     CPPRD(__AImplementationAnalysis_28,1);
     CPCLS(__AImplementationAnalysis_29,1);
     x24=__AImplementationAnalysis_28;
    }else{
     x24=x21;
     CPPRD(x1,1);
     CPPRD(__AImplementationAnalysis_24,1);
     CPCLS(__AImplementationAnalysis_29,1);}
    ADenotation_4(x24,__AImplementationAnalysis_24,x25);
    x26=_AOcVerbose_4(x1,__AOcVerbose_3,x25);
    x27=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_29,3))(__AImplementationAnalysis_29,x1,x2,x3);
    r=_AComCompose_3(x26,x27);}}}
 return r;}

extern OBJ _AImplementationAnalysis_13(OBJ x1,OBJ x2,OBJ x3) /* analyzePragmas */
{OBJ r;
 if(ISPRM(x2)){
  FRPRD(x1,1);
  CPCLS(__ACom_47,1);
  {OBJ x26;OBJ x27;OBJ x28;
   PRD1(2,x26);FLD1(x26,1)=x3;FLD1(x26,2)=__ABUILTIN_5;
   PRD(1,0,x27);FLD(x27,1)=x26;
   x28=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x27);
   PRD(2,0,r);FLD(r,1)=x28;FLD(r,2)=__ASeq_6;}
 }else{
  {OBJ x29=FLD1(x2,1);OBJ x30=FLD1(x2,2);
   if(EXPRD(x2,1)){
    DSPRDF(x2);
   }else{
    COPY(x29,1);COPY(x30,1);
    FRPRD(x2,1);}
   CPPRD(x1,1);
   CPCLS(__AImplementationAnalysis_13,1);
   CPCLS(__AImplementationAnalysis_14,1);
   {OBJ x33;OBJ x32;
    x33=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_14,2))(__AImplementationAnalysis_14,x1,x29);
    x32=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_13,2))(__AImplementationAnalysis_13,x1,x30);
    r=_AImplementationAnalysis_3(x33,x32,x3);}}}
 return r;}

extern OBJ _AImplementationAnalysis_14(OBJ x1,OBJ x2,OBJ x3) /* analyzePragma */
{OBJ r;
 CPPRD(__AImplementationAnalysis_24,1);
 CPCLS(__AImplementationAnalysis_30,1);
 CPCLS(__APartName_28,1);
 CPPRD(x1,1);
 COPY(x2,1);
 {OBJ x4;OBJ x5;OBJ x6;OBJ x7;
  x4=_AGlobPragma_14(__APartName_28,x2);
  ADenotation_4(x4,__AImplementationAnalysis_24,x5);
  x6=_AOcVerbose_4(x1,__AOcVerbose_3,x5);
  x7=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_30,3))(__AImplementationAnalysis_30,x1,x2,x3);
  r=_AComCompose_3(x6,x7);}
 return r;}

extern OBJ _AImplementationAnalysis_15(OBJ x1) /* Rels2Pragmas */
{OBJ r;
 CPCLS(__AImplementationAnalysis_33,1);
 CPCLS(__ARep_27,1);
 r=_AMapReduce_6(__ARep_27,__AImplementationAnalysis_33,__ASeq_6,x1);
 return r;}

extern OBJ _AImplementationAnalysis_16(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* checkImports */
{OBJ r;
 CPCLS(__ARep_27,2);
 CPPRD(__ARep_97,1);
 CPPRD(__ARep_98,1);
 COPY(x3,2);
 {OBJ x5;OBJ x6;OBJ x8;OBJ x7;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;OBJ x14;OBJ x15;OBJ x16;OBJ x17;OBJ x18;OBJ x19;OBJ x20;OBJ x21;OBJ x22;OBJ x23;OBJ x24;
  x5=_AMap_20(__ARep_27,__ARep_98,x3);
  x6=_AMap_20(__ARep_27,__ARep_97,x3);
  if(ISTGPRM(x6,1)){
   COPY(x3,1);
   CPCLS(__ARep_27,1);
   CPPRD(__ARep_97,1);
   x8=_AMap_16(__ARep_27,x3,__ARep_97);
  }else{
   x8=__ASeq_6;}
  if(ISTGPRM(x5,1)){
   COPY(x4,2);
   CPCLS(__AImplementationAnalysis_35,1);
   CPCLS(__AImplementationAnalysis_37,1);
   CPCLS(__AImplementationAnalysis_39,1);
   CPCLS(__AImplementationAnalysis_40,1);
   CPCLS(__AImplementationAnalysis_42,1);
   CPCLS(__AImplementationAnalysis_43,1);
   CPPRD(__AOcError_15,1);
   CPCLS(__AOcError_21,1);
   CPCLS(__ARep_27,1);
   CPPRD(__ARep_98,1);
   x7=_AMap_16(__ARep_27,x3,__ARep_98);
  }else{
   FREE(x3,1);
   COPY(x4,2);
   CPCLS(__AImplementationAnalysis_35,1);
   CPCLS(__AImplementationAnalysis_37,1);
   CPCLS(__AImplementationAnalysis_39,1);
   CPCLS(__AImplementationAnalysis_40,1);
   CPCLS(__AImplementationAnalysis_42,1);
   CPCLS(__AImplementationAnalysis_43,1);
   CPPRD(__AOcError_15,1);
   CPCLS(__AOcError_21,1);
   x7=__ASeq_6;}
  x9=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_40,1))(__AImplementationAnalysis_40,x4);
  x10=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_42,1))(__AImplementationAnalysis_42,x4);
  x11=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_43,1))(__AImplementationAnalysis_43,x4);
  CPCLS(x11,1);
  x12=_AImplementationAnalysis_41(x7);
  x13=_AImplementationAnalysis_41(x8);
  x14=_AImplementationAnalysis_41(x2);
  x15=_ASeqFilter_2(x11,x12);
  x16=_ASeqFilter_2(x11,x13);
  x17=_ASeqFilter_2(x9,x14);
  x18=_ASeqMap_3(__AImplementationAnalysis_39,x17);
  x19=_ASeqMap_3(__AImplementationAnalysis_37,x16);
  x20=_ASeqMap_3(__AImplementationAnalysis_35,x15);
  x21=_ASeq_26(x19,x20);
  x22=_ASeq_26(x18,x21);
  x23=_ASeqReduce_3(__AOcError_21,__AOcError_15,x22);
  x24=_AOcError_25(x1,x23);
  r=_AComCompose_5(x24,x10);}
 return r;}

extern OBJ _AImplementationAnalysis_17(OBJ x1,OBJ x2) /* checkRelations */
{OBJ r;
 CPPRD(__AImplementationAnalysis_46,1);
 CPCLS(__AImplementationAnalysis_48,1);
 CPCLS(__AImplementationAnalysis_50,1);
 CPCLS(__AImplementationAnalysis_52,1);
 CPCLS(__AImplementationAnalysis_53,1);
 CPCLS(__AImplementationAnalysis_54,1);
 CPCLS(__AImplementationAnalysis_56,1);
 CPCLS(__AImplementationAnalysis_58,1);
 CPCLS(__APair_5,3);
 CPPRD(__AOcError_15,1);
 CPCLS(__AOcError_21,1);
 CPPRD(__ARep_97,1);
 CPPRD(__ARep_98,1);
 CPPRD(x1,1);
 COPY(x2,4);
 {OBJ x3;OBJ x4;OBJ x5;OBJ x6;OBJ x7;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;OBJ x14;OBJ x15;OBJ x16;OBJ x17;OBJ x18;OBJ x19;OBJ x20;OBJ x21;OBJ x22;
  x3=_AImplementationAnalysis_18(__ARep_98,x2);
  COPY(x3,1);
  x4=_AImplementationAnalysis_18(__ARep_97,x2);
  x5=_AOcVerbose_4(x1,__AOcVerbose_2,__AImplementationAnalysis_46);
  x6=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_54,1))(__AImplementationAnalysis_54,x2);
  x7=_ASeqFilter_2(__AImplementationAnalysis_53,x3);
  x8=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_56,1))(__AImplementationAnalysis_56,x2);
  x9=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_58,1))(__AImplementationAnalysis_58,x2);
  x10=_ASeqFilter_2(x8,x4);
  x11=_ASeqMap_3(__APair_5,x7);
  x12=_ASeqFilter_2(x9,x3);
  x13=_ASeqMap_3(__AImplementationAnalysis_52,x11);
  x14=_ASeqMap_3(__APair_5,x10);
  x15=_ASeqMap_3(__APair_5,x12);
  x16=_ASeqMap_3(__AImplementationAnalysis_48,x14);
  x17=_ASeqMap_3(__AImplementationAnalysis_50,x15);
  x18=_ASeq_26(x17,x16);
  x19=_ASeq_26(x13,x18);
  x20=_ASeqReduce_3(__AOcError_21,__AOcError_15,x19);
  x21=_AOcError_25(x1,x20);
  x22=_AComCompose_5(x21,x6);
  r=_AComCompose_6(x5,x22);}
 return r;}

extern OBJ _AImplementationAnalysis_18(OBJ x1,OBJ x2) /* getPragmaN */
{OBJ r;
 CPCLS(__AImplementationAnalysis_44,1);
 CPCLS(__AImplementationAnalysis_45,1);
 COPY(x2,1);
 {OBJ x3;OBJ x4;OBJ x5;OBJ x6;
  x3=_AGlobSig_46(x2);
  x4=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_44,1))(__AImplementationAnalysis_44,x1);
  x5=_ASeqFilter_2(x4,x3);
  x6=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_45,1))(__AImplementationAnalysis_45,x2);
  r=_ASeqMap_3(x6,x5);}
 return r;}

extern OBJ _AImplementationAnalysis_20(OBJ x1) /* printGsImpl */
{OBJ r;
 CPCLS(__AAnalyzedGlobSig_31,1);
 COPY(x1,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAnalyzedGlobSig_31,1))(__AAnalyzedGlobSig_31,x1);
  r=_ADEBUG_2(__AImplementationAnalysis_19,x2,x1);}
 return r;}

extern OBJ _AImplementationAnalysis_21(OBJ x1,OBJ x2) /* ;;'21 */
{OBJ r;
 {OBJ x6;
  if(ISTGPRD(x2,0)){
   {OBJ x3=FLD(x2,1);
    if(EXPRD(x2,1)){
     x6=x3;
     DSPRDF(x2);
    }else{
     CPPRD(x3,1);
     x6=x3;
     FRPRD(x2,1);}}
  }else{
   HLT("Com at <unknown> : undefined selection data\'Com:ans->data");}
  {OBJ x17=FLD1(x6,1);OBJ x18=FLD1(x6,2);FLAG x_x6=EXPRD(x6,1);
   if(x_x6){
   }else{
    COPY(x17,1);}
   {OBJ x19;OBJ x20;OBJ x21;OBJ x22;
    if(ISTGPRM(x1,1)){
     x19=x18;
     CPCLS(__ACom_47,1);
    }else{
     CPCLS(__ACom_47,1);
     x19=__ABUILTIN_3;}
    if(x_x6){
     RSOME(x6,x20);FLD1(x20,2)=x19;
    }else{
     FRPRD(x6,1);PRD1(2,x20);FLD1(x20,1)=x17;FLD1(x20,2)=x19;}
    PRD(1,0,x21);FLD(x21,1)=x20;
    x22=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x21);
    PRD(2,0,r);FLD(r,1)=x22;FLD(r,2)=__ASeq_6;}}}
 return r;}

extern OBJ _AImplementationAnalysis_22(OBJ x1,OBJ x2) /* ;;'22 */
{OBJ r;
 {OBJ x6;
  if(ISTGPRD(x2,0)){
   {OBJ x3=FLD(x2,1);
    if(EXPRD(x2,1)){
     x6=x3;
     DSPRDF(x2);
    }else{
     CPPRD(x3,1);
     x6=x3;
     FRPRD(x2,1);}}
  }else{
   HLT("Com at <unknown> : undefined selection data\'Com:ans->data");}
  {OBJ x15=FLD1(x6,1);OBJ x16=FLD1(x6,2);
   if(EXPRD(x6,1)){
    DSPRDF(x6);
   }else{
    COPY(x15,1);
    FRPRD(x6,1);}
   CPCLS(__AImplementationAnalysis_21,1);
   {OBJ x17;OBJ x18;
    x17=(*(OBJ(*)(OBJ,OBJ))METHOD(x1,1))(x1,x15);
    x18=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_21,1))(__AImplementationAnalysis_21,x16);
    r=_AComCompose_3(x17,x18);}}}
 return r;}

extern OBJ _AImplementationAnalysis_25(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* analyzeFreeType'25 */
{OBJ r;
 CPCLS(__ACom_47,1);
 FRPRD(x4,1);
 {TUP2 x6;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;
  x6=_ADataDefAnalysis_3(x2,x3);
  CPPRD(x6.c2,1);
  x8=_AOcError_25(x1,x6.c2);
  x9=_AOcError_22(x6.c2);
  PRD1(2,x10);FLD1(x10,1)=x6.c1;FLD1(x10,2)=x9;
  PRD(1,0,x11);FLD(x11,1)=x10;
  x12=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x11);
  PRD(2,0,x13);FLD(x13,1)=x12;FLD(x13,2)=__ASeq_6;
  r=_AComCompose_4(x8,x13);}
 return r;}

extern OBJ _AImplementationAnalysis_26(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* analyzeSortImpl'26 */
{OBJ r;
 CPCLS(__ACom_47,1);
 FRPRD(x4,1);
 {TUP2 x6;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;
  x6=_ADataDefAnalysis_2(x2,x3);
  CPPRD(x6.c2,1);
  x8=_AOcError_25(x1,x6.c2);
  x9=_AOcError_22(x6.c2);
  PRD1(2,x10);FLD1(x10,1)=x6.c1;FLD1(x10,2)=x9;
  PRD(1,0,x11);FLD(x11,1)=x10;
  x12=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x11);
  PRD(2,0,x13);FLD(x13,1)=x12;FLD(x13,2)=__ASeq_6;
  r=_AComCompose_4(x8,x13);}
 return r;}

extern OBJ _AImplementationAnalysis_27(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* analyzeFunImpl'27 */
{OBJ r;
 CPCLS(__ACom_47,1);
 FRPRD(x4,1);
 {TUP2 x6;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;
  x6=_AFunDefAnalysis_2(x2,x3);
  CPPRD(x6.c2,1);
  x8=_AOcError_25(x1,x6.c2);
  x9=_AOcError_22(x6.c2);
  PRD1(2,x10);FLD1(x10,1)=x6.c1;FLD1(x10,2)=x9;
  PRD(1,0,x11);FLD(x11,1)=x10;
  x12=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x11);
  PRD(2,0,x13);FLD(x13,1)=x12;FLD(x13,2)=__ASeq_6;
  r=_AComCompose_4(x8,x13);}
 return r;}

extern OBJ _AImplementationAnalysis_29(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* analyzeLaw'29 */
{OBJ r;
 CPCLS(__ACom_47,1);
 FRPRD(x4,1);
 {TUP2 x6;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;
  x6=_ALawAnalysis_2(x2,x3);
  CPPRD(x6.c2,1);
  x8=_AOcError_25(x1,x6.c2);
  x9=_AOcError_22(x6.c2);
  PRD1(2,x10);FLD1(x10,1)=x6.c1;FLD1(x10,2)=x9;
  PRD(1,0,x11);FLD(x11,1)=x10;
  x12=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x11);
  PRD(2,0,x13);FLD(x13,1)=x12;FLD(x13,2)=__ASeq_6;
  r=_AComCompose_4(x8,x13);}
 return r;}

extern OBJ _AImplementationAnalysis_30(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* analyzePragma'30 */
{OBJ r;
 CPCLS(__ACom_47,1);
 FRPRD(x4,1);
 {TUP2 x6;OBJ x8;OBJ x9;OBJ x10;OBJ x11;OBJ x12;OBJ x13;
  x6=_APragmaAnalysis_1(x2,x3);
  CPPRD(x6.c2,1);
  x8=_AOcError_25(x1,x6.c2);
  x9=_AOcError_22(x6.c2);
  PRD1(2,x10);FLD1(x10,1)=x6.c1;FLD1(x10,2)=x9;
  PRD(1,0,x11);FLD(x11,1)=x10;
  x12=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x11);
  PRD(2,0,x13);FLD(x13,1)=x12;FLD(x13,2)=__ASeq_6;
  r=_AComCompose_4(x8,x13);}
 return r;}

extern OBJ _AImplementationAnalysis_31(OBJ x1,OBJ x2) /* Rels2Pragmas'31 */
{OBJ r;
 {OBJ x6;OBJ x21;OBJ x16;OBJ x11;OBJ x22;OBJ x23;OBJ x24;OBJ x25;OBJ x26;
  {OBJ x3=FLD(x2,1);
   if(EXPRD(x2,1)){
    x6=x3;
    FLD(x2,1)=NIL;DSPRD(x2);
   }else{
    COPY(x3,1);
    x6=x3;
    FRPRD(x2,1);}}
  if(ISPRM(x6)){
   HLT("Struct at <unknown> : undefined selection paramS\'Struct:origin->seq");
  }else{
   {OBJ x31=FLD1(x6,1);OBJ x32=FLD1(x6,2);OBJ x33=FLD1(x6,3);
    if(EXPRD(x6,1)){
     x16=x31;x11=x32;x21=x33;
     FREE(FLD1(x6,4),1);DSPRDF(x6);
    }else{
     CPPRD(x31,1);COPY(x32,1);COPY(x33,1);
     x16=x31;x11=x32;x21=x33;
     FRPRD(x6,1);}
    CPPRD(__ARep_96,1);
    COPY(__APragma_5,1);}}
  COPY(x11,2);
  PRD(2,1,x22);FLD(x22,1)=x1;FLD(x22,2)=x11;
  PRD1(1,x23);FLD1(x23,1)=x16;
  PRD1(7,x24);FLD1(x24,1)=__ARep_96;FLD1(x24,2)=x23;FLD1(x24,3)=x21;FLD1(x24,4)=x11;FLD1(x24,5)=__APartName_11;FLD1(x24,6)=__APragma_5;FLD1(x24,7)=x11;
  PRD1(2,x25);FLD1(x25,1)=x24;FLD1(x25,2)=__ASeq_6;
  PRD(1,0,x26);FLD(x26,1)=x25;
  r=_ASeq_14(x22,x26);}
 return r;}

extern OBJ _AImplementationAnalysis_32(OBJ x1) /* Rels2Pragmas'32 */
{OBJ r;
 CPCLS(__AImplementationAnalysis_31,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_31,1))(__AImplementationAnalysis_31,x1);
 return r;}

extern OBJ _AImplementationAnalysis_33(OBJ x1,OBJ x2,OBJ x3) /* Rels2Pragmas'33 */
{OBJ r;
 {OBJ x4;OBJ x5;
  x4=_AImplementationAnalysis_32(x1);
  x5=_ASeqMap_3(x4,x2);
  r=_ASeq_26(x5,x3);}
 return r;}

extern OBJ _AImplementationAnalysis_35(OBJ x1) /* checkImports'35 */
{OBJ r;
 {OBJ x6;
  if(ISPRM(x1)){
   HLT("Struct at <unknown> : undefined selection pos\'Struct:origin->pos");
  }else{
   {OBJ x3=FLD1(x1,2);
    if(EXPRD(x1,1)){
     x6=x3;
     FLD1(x1,2)=NIL;DSPRD(x1);
    }else{
     COPY(x3,1);
     x6=x3;
     FRPRD(x1,1);}
    CPPRD(__AImplementationAnalysis_34,1);}}
  r=_AOcError_16(__AOcError_12,__AImplementationAnalysis_34,x6);}
 return r;}

extern OBJ _AImplementationAnalysis_37(OBJ x1) /* checkImports'37 */
{OBJ r;
 {OBJ x6;
  if(ISPRM(x1)){
   HLT("Struct at <unknown> : undefined selection pos\'Struct:origin->pos");
  }else{
   {OBJ x3=FLD1(x1,2);
    if(EXPRD(x1,1)){
     x6=x3;
     FLD1(x1,2)=NIL;DSPRD(x1);
    }else{
     COPY(x3,1);
     x6=x3;
     FRPRD(x1,1);}
    CPPRD(__AImplementationAnalysis_36,1);}}
  r=_AOcError_16(__AOcError_12,__AImplementationAnalysis_36,x6);}
 return r;}

extern OBJ _AImplementationAnalysis_39(OBJ x1) /* checkImports'39 */
{OBJ r;
 {OBJ x6;
  if(ISPRM(x1)){
   HLT("Struct at <unknown> : undefined selection pos\'Struct:origin->pos");
  }else{
   {OBJ x3=FLD1(x1,2);
    if(EXPRD(x1,1)){
     x6=x3;
     FLD1(x1,2)=NIL;DSPRD(x1);
    }else{
     COPY(x3,1);
     x6=x3;
     FRPRD(x1,1);}
    CPPRD(__AImplementationAnalysis_38,1);}}
  r=_AOcError_16(__AOcError_12,__AImplementationAnalysis_38,x6);}
 return r;}

extern OBJ _AImplementationAnalysis_40(OBJ x1,OBJ x2) /* checkImports'40 */
{OBJ r;
 {OBJ x7;
  if(ISPRM(x2)){
   HLT("Struct at <unknown> : undefined selection structIde\'Struct:origin->rep");
  }else{
   {OBJ x3=FLD1(x2,1);
    if(EXPRD(x2,1)){
     x7=x3;
     FLD1(x2,1)=NIL;DSPRD(x2);
    }else{
     CPPRD(x3,1);
     x7=x3;
     FRPRD(x2,1);}}}
  r=_AAnalyzedGlobSig_70(x1,x7);}
 return r;}

extern OBJ _AImplementationAnalysis_41(OBJ x1) /* checkImports'41 */
{OBJ r;
 CPCLS(__AStruct_3,1);
 CPCLS(__AStruct_14,1);
 {OBJ x2;
  x2=_ASeqMap_3(__AStruct_14,x1);
  r=_ASeqFilter_2(__AStruct_3,x2);}
 return r;}

extern OBJ _AImplementationAnalysis_42(OBJ x1,OBJ x2) /* checkImports'42 */
{OBJ r;
 {OBJ x3;
  PRD1(2,x3);FLD1(x3,1)=x1;FLD1(x3,2)=x2;
  r=_ACom_23(x3);}
 return r;}

extern OBJ _AImplementationAnalysis_43(OBJ x1,OBJ x2) /* checkImports'43 */
{OBJ r;
 {OBJ x7;OBJ x8;
  if(ISPRM(x2)){
   HLT("Struct at <unknown> : undefined selection structIde\'Struct:origin->rep");
  }else{
   {OBJ x3=FLD1(x2,1);
    if(EXPRD(x2,1)){
     x7=x3;
     FLD1(x2,1)=NIL;DSPRD(x2);
    }else{
     CPPRD(x3,1);
     x7=x3;
     FRPRD(x2,1);}}}
  x8=_AAnalyzedGlobSig_70(x1,x7);
  if(ISTGPRM(x8,1)){
   r=__ABUILTIN_3;
  }else{
   r=__ABUILTIN_5;}}
 return r;}

extern OBJ _AImplementationAnalysis_44(OBJ x1,OBJ x2) /* getPragmaN'44 */
{OBJ r;
 {OBJ x5;OBJ x66;
  if(ISPRM(x2)){
   x5=__ABUILTIN_3;
  }else{
   x5=__ABUILTIN_5;}
  if(ISTGPRM(x5,1)){
   {OBJ x8;
    if(ISPRM(x2)){
     HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
    }else{
     {OBJ x6=FLD1(x2,1);
      CPPRD(x6,1);
      x8=x6;}}
    if(ISTGPRD(x8,1)){
     {OBJ x52=FLD(x8,1);
      if(EXPRD(x8,1)){
       FREE(FLD(x8,2),1);DSPRDF(x8);
      }else{
       CPPRD(x52,1);
       FRPRD(x8,1);}
      {OBJ x54;
       x54=_ARep_24(x52,x1);
       if(ISTGPRM(x54,1)){
	{OBJ x57;
	 if(ISPRM(x2)){
	  HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
	 }else{
	  {OBJ x56=FLD1(x2,2);
	   COPY(x56,1);
	   x57=x56;}}
	 if(ISPRM(x57)){
	  x66=__ABUILTIN_3;
	 }else{
	  {OBJ x58=FLD1(x57,1);
	   if(EXPRD(x57,1)){
	    FREE(FLD1(x57,2),1);DSPRDF(x57);
	   }else{
	    CPPRD(x58,1);
	    FRPRD(x57,1);}
	   if(ISTGPRD(x58,0)){
	    {OBJ x60=FLD(x58,1);
	     if(EXPRD(x58,1)){
	      DSPRDF(x58);
	     }else{
	      COPY(x60,1);
	      FRPRD(x58,1);}
	     if(ISPRM(x60)){
	      x66=__ABUILTIN_3;
	     }else{
	      if(EXPRD(x60,1)){
	       DSPRD(x60);
	      }else{
	       DCPRD(x60,1);}
	      x66=__ABUILTIN_5;}}
	   }else{
	    if(EXPRD(x58,1)){
	     DSPRD(x58);
	    }else{
	     DCPRD(x58,1);}
	    x66=__ABUILTIN_3;}}}}
       }else{
	x66=__ABUILTIN_3;}}}
    }else{
     if(EXPRD(x8,1)){
      FREE(FLD(x8,1),1);DSPRDF(x8);
     }else{
      DCPRD(x8,1);}
     FRPRD(x1,1);
     x66=__ABUILTIN_3;}}
  }else{
   FRPRD(x1,1);
   x66=__ABUILTIN_3;}
  if(ISTGPRM(x66,1)){
   {OBJ x69;OBJ x75;OBJ x72;OBJ x85;OBJ x79;OBJ x91;OBJ x88;
    if(ISPRM(x2)){
     HLT("Seq at <unknown> : undefined selection rt\'Seq:seq->seq");
    }else{
     {OBJ x68=FLD1(x2,2);
      if(EXPRD(x2,1)){
       x69=x68;
       FRPRD(FLD1(x2,1),1);DSPRDF(x2);
      }else{
       COPY(x68,1);
       x69=x68;
       FRPRD(x2,1);}}}
    if(ISPRM(x69)){
     HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
    }else{
     {OBJ x111=FLD1(x69,1);
      if(EXPRD(x69,1)){
       x75=x111;
       FREE(FLD1(x69,2),1);DSPRDF(x69);
      }else{
       CPPRD(x111,1);
       x75=x111;
       FRPRD(x69,1);}
      x72=__ABUILTIN_5;}}
    if(ISTGPRD(x75,0)){
     {OBJ x103=FLD(x75,1);
      if(EXPRD(x75,1)){
       x85=x103;
       DSPRDF(x75);
      }else{
       COPY(x103,1);
       x85=x103;
       FRPRD(x75,1);}
      x79=__ABUILTIN_5;}
    }else{
     HLT("GlobPragma at <unknown> : undefined selection pns\'GlobPragma:pragmaItem->seq");}
    if(ISPRM(x85)){
     HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
    }else{
     {OBJ x97=FLD1(x85,1);
      if(EXPRD(x85,1)){
       x91=x97;
       FREE(FLD1(x85,2),1);DSPRDF(x85);
      }else{
       COPY(x97,1);
       x91=x97;
       FRPRD(x85,1);}
      x88=__ABUILTIN_5;}}
    if(ISPRD(x91)&&(ISTGPRD(x91,2))){
     if(EXPRD(x91,1)){
      DSPRDF(x91);
     }else{
      DCPRD(x91,1);}
     r=__ABUILTIN_5;
    }else{
     FREE(x91,1);
     r=__ABUILTIN_3;}}
  }else{
   FREE(x2,1);
   r=__ABUILTIN_3;}}
 return r;}

extern OBJ _AImplementationAnalysis_45(OBJ x1,OBJ x2) /* getPragmaN'45 */
{OBJ r;
 {OBJ x6;OBJ x9;OBJ x5;OBJ x17;OBJ x12;OBJ x23;OBJ x26;OBJ x27;
  x6=_AGlobSig_55(x1);
  if(ISPRM(x2)){
   HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
  }else{
   {OBJ x54=FLD1(x2,1);OBJ x55=FLD1(x2,2);
    if(EXPRD(x2,1)){
     x9=x54;x5=x55;
     DSPRDF(x2);
    }else{
     CPPRD(x54,1);COPY(x55,1);
     x9=x54;x5=x55;
     FRPRD(x2,1);}}}
  if(ISTGPRD(x9,1)){
   {OBJ x14=FLD(x9,2);
    if(EXPRD(x9,1)){
     x17=x14;
     FRPRD(FLD(x9,1),1);DSPRDF(x9);
    }else{
     COPY(x14,1);
     x17=x14;
     FRPRD(x9,1);}}
  }else{
   HLT("GlobPragma at <unknown> : undefined selection pos\'GlobPragma:pragmaItem->pos");}
  if(ISPRM(x5)){
   HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
  }else{
   {OBJ x10=FLD1(x5,1);
    if(EXPRD(x5,1)){
     x12=x10;
     FREE(FLD1(x5,2),1);DSPRDF(x5);
    }else{
     CPPRD(x10,1);
     x12=x10;
     FRPRD(x5,1);}}}
  if(ISTGPRD(x12,0)){
   {OBJ x18=FLD(x12,1);
    if(EXPRD(x12,1)){
     x23=x18;
     DSPRDF(x12);
    }else{
     COPY(x18,1);
     x23=x18;
     FRPRD(x12,1);}}
  }else{
   HLT("GlobPragma at <unknown> : undefined selection pns\'GlobPragma:pragmaItem->seq");}
  if(ISPRM(x23)){
   HLT("Seq at <unknown> : undefined selection ft\'Seq:seq->data");
  }else{
   {OBJ x24=FLD1(x23,1);
    if(EXPRD(x23,1)){
     x26=x24;
     FREE(FLD1(x23,2),1);DSPRDF(x23);
    }else{
     COPY(x24,1);
     x26=x24;
     FRPRD(x23,1);}}}
  COPY(x26,1);
  x27=_AName_12(x26);
  if(ISPRD(x26)&&(ISTGPRD(x26,2))){
   {OBJ x30=FLD(x26,3);
    if(EXPRD(x26,1)){
     DSPRDF(x26);
    }else{
     FRPRD(x26,1);}
    {OBJ x31;OBJ x32;OBJ x38;OBJ x43;
     x31=x30;
     x32=_ADArray_20(x6,x27);
     if(ISTGPRD(x32,4)){
      x38=__ABUILTIN_5;
     }else{
      x38=__ABUILTIN_3;}
     if(ISTGPRM(x38,1)){
      x43=__ABUILTIN_5;
     }else{
      if(ISTGPRD(x32,3)){
       x43=__ABUILTIN_5;
      }else{
       x43=__ABUILTIN_3;}}
     if(ISTGPRM(x43,1)){
      {OBJ x44;OBJ x45;
       x44=_AImpExpEntry_91(x32);
       x45=_ADArray_20(x44,x31);
       if(ISPRD(x45)&&(ISTGPRD(x45,8))){
	{OBJ x51=FLD(x45,1);
	 if(EXPRD(x45,1)){
	  DSPRDF(x45);
	 }else{
	  COPY(x51,1);
	  FRPRD(x45,1);}
	 PRD1(2,r);FLD1(r,1)=x17;FLD1(r,2)=x51;}
       }else{
	FREE(x45,1);
	PRD1(2,r);FLD1(r,1)=x17;FLD1(r,2)=__ASeq_6;}}
     }else{
      FRPRD(x32,1);
      PRD1(2,r);FLD1(r,1)=x17;FLD1(r,2)=__ASeq_6;}}}
  }else{
   HLT("Name at <unknown> : undefined selection inst\'Name:name->inst");}}
 return r;}

extern OBJ _AImplementationAnalysis_48(OBJ x1) /* checkRelations'48 */
{OBJ r;
 CPPRD(__AImplementationAnalysis_47,1);
 r=_AOcError_16(__AOcError_12,__AImplementationAnalysis_47,x1);
 return r;}

extern OBJ _AImplementationAnalysis_50(OBJ x1) /* checkRelations'50 */
{OBJ r;
 CPPRD(__AImplementationAnalysis_49,1);
 r=_AOcError_16(__AOcError_12,__AImplementationAnalysis_49,x1);
 return r;}

extern OBJ _AImplementationAnalysis_52(OBJ x1) /* checkRelations'52 */
{OBJ r;
 CPPRD(__AImplementationAnalysis_51,1);
 r=_AOcError_16(__AOcError_12,__AImplementationAnalysis_51,x1);
 return r;}

extern OBJ _AImplementationAnalysis_53(OBJ x1) /* checkRelations'53 */
{OBJ r;
 {OBJ x8=FLD1(x1,2);
  if(EXPRD(x1,1)){
   FREE(FLD1(x1,1),1);DSPRDF(x1);
  }else{
   COPY(x8,1);
   FRPRD(x1,1);}
  if(ISPRM(x8)){
   r=__ABUILTIN_5;
  }else{
   if(EXPRD(x8,1)){
    DSPRD(x8);
   }else{
    DCPRD(x8,1);}
   r=__ABUILTIN_3;}}
 return r;}

extern OBJ _AImplementationAnalysis_54(OBJ x1,OBJ x2) /* checkRelations'54 */
{OBJ r;
 {OBJ x3;
  PRD1(2,x3);FLD1(x3,1)=x1;FLD1(x3,2)=x2;
  r=_ACom_23(x3);}
 return r;}

extern OBJ _AImplementationAnalysis_55(OBJ x1,OBJ x2) /* checkRelations'55 */
{OBJ r;
 r=_AAnalyzedGlobSig_65(x1,x2);
 return r;}

extern OBJ _AImplementationAnalysis_56(OBJ x1,OBJ x2) /* checkRelations'56 */
{OBJ r;
 {OBJ x4=FLD1(x2,2);
  if(EXPRD(x2,1)){
   FREE(FLD1(x2,1),1);DSPRDF(x2);
  }else{
   COPY(x4,1);
   FRPRD(x2,1);}
  CPCLS(__AImplementationAnalysis_55,1);
  {OBJ x5;OBJ x6;
   x5=x4;
   x6=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_55,1))(__AImplementationAnalysis_55,x1);
   r=_ASeq_42(x6,x5);}}
 return r;}

extern OBJ _AImplementationAnalysis_57(OBJ x1,OBJ x2) /* checkRelations'57 */
{OBJ r;
 {OBJ x3;
  x3=_AAnalyzedGlobSig_65(x1,x2);
  if(ISTGPRM(x3,1)){
   r=__ABUILTIN_3;
  }else{
   r=__ABUILTIN_5;}}
 return r;}

extern OBJ _AImplementationAnalysis_58(OBJ x1,OBJ x2) /* checkRelations'58 */
{OBJ r;
 {OBJ x4=FLD1(x2,2);
  if(EXPRD(x2,1)){
   FREE(FLD1(x2,1),1);DSPRDF(x2);
  }else{
   COPY(x4,1);
   FRPRD(x2,1);}
  CPCLS(__AImplementationAnalysis_57,1);
  {OBJ x5;OBJ x6;
   x5=x4;
   x6=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_57,1))(__AImplementationAnalysis_57,x1);
   r=_ASeq_40(x6,x5);}}
 return r;}

extern OBJ _AImplementationAnalysis_60(OBJ x1,OBJ x2,OBJ x3,OBJ x4,OBJ x5,OBJ x6,OBJ x7,OBJ x8,OBJ x9,OBJ x10) /* implAna,1'60 */
{OBJ r;
 CPCLS(__AImplementationAnalysis_3,7);
 CPCLS(__AImplementationAnalysis_5,1);
 CPCLS(__AImplementationAnalysis_7,1);
 CPCLS(__AImplementationAnalysis_9,1);
 CPCLS(__AImplementationAnalysis_11,1);
 CPCLS(__AImplementationAnalysis_13,1);
 CPCLS(__AImplementationAnalysis_16,1);
 CPCLS(__AImplementationAnalysis_17,1);
 CPCLS(__AImplementationAnalysis_33,1);
 CPCLS(__AStruct_7,1);
 CPCLS(__AStruct_14,1);
 CPCLS(__AStruct_16,1);
 CPCLS(__ARep_27,2);
 CPCLS(__APragmaAnalysis_2,1);
 CPCLS(__APragmaAnalysis_3,1);
 CPPRD(x1,8);
 COPY(x7,2);
 COPY(x8,1);
 FRPRD(x10,1);
 {OBJ x11;OBJ x12;OBJ x13;OBJ x14;OBJ x15;OBJ x16;OBJ x17;OBJ x18;OBJ x19;OBJ x20;OBJ x21;OBJ x22;OBJ x23;OBJ x24;OBJ x25;OBJ x26;OBJ x27;OBJ x28;OBJ x29;OBJ x30;OBJ x31;OBJ x32;OBJ x33;OBJ x34;
  x11=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_16,3))(__AImplementationAnalysis_16,x1,x8,x7);
  x12=_AMapReduce_6(__ARep_27,__AImplementationAnalysis_33,__ASeq_6,x7);
  x13=(*(OBJ(*)(OBJ,OBJ))METHOD(__APragmaAnalysis_2,1))(__APragmaAnalysis_2,x1);
  x14=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_17,1))(__AImplementationAnalysis_17,x1);
  x15=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_5,2))(__AImplementationAnalysis_5,x1,x2);
  x16=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_7,2))(__AImplementationAnalysis_7,x1,x3);
  x17=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_9,2))(__AImplementationAnalysis_9,x1,x4);
  x18=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_11,2))(__AImplementationAnalysis_11,x1,x5);
  x19=_AMap_22(__ARep_27,x7);
  x20=_ASeq_26(x6,x12);
  x21=_ASeqOfSeq_2(x19);
  x22=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_13,2))(__AImplementationAnalysis_13,x1,x20);
  x23=_ASeq_26(x8,x21);
  x24=_ASeqFilter_2(__AStruct_16,x23);
  x25=_ASeqMap_3(__AStruct_14,x24);
  x26=_ASeqMap_3(__AStruct_7,x25);
  x27=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__APragmaAnalysis_3,2))(__APragmaAnalysis_3,x1,x26);
  x28=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_3,2))(__AImplementationAnalysis_3,x18,x27);
  x29=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_3,2))(__AImplementationAnalysis_3,x17,x28);
  x30=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_3,2))(__AImplementationAnalysis_3,x16,x29);
  x31=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_3,2))(__AImplementationAnalysis_3,x15,x30);
  x32=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_3,2))(__AImplementationAnalysis_3,x14,x31);
  x33=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_3,2))(__AImplementationAnalysis_3,x13,x32);
  x34=(*(OBJ(*)(OBJ,OBJ,OBJ))METHOD(__AImplementationAnalysis_3,2))(__AImplementationAnalysis_3,x22,x33);
  r=_AImplementationAnalysis_3(x11,x34,x9);}
 return r;}

extern OBJ _AImplementationAnalysis_62(OBJ x1) /* implAna'62 */
{OBJ r;
 CPPRD(__AImplementationAnalysis_61,1);
 CPCLS(__ACom_47,1);
 r=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,__AImplementationAnalysis_61);
 return r;}

extern OBJ _AImplementationAnalysis_63(OBJ x1) /* implAna'63 */
{OBJ r;
 {OBJ x13=FLD1(x1,1);OBJ x14=FLD1(x1,2);
  if(EXPRD(x1,1)){
   COPY(x13,1);
   DSPRDF(x1);
  }else{
   COPY(x13,2);
   FRPRD(x1,1);}
  CPCLS(__AAnalyzedGlobSig_31,1);
  {OBJ x15;OBJ x16;
   x15=(*(OBJ(*)(OBJ,OBJ))METHOD(__AAnalyzedGlobSig_31,1))(__AAnalyzedGlobSig_31,x13);
   x16=_ADEBUG_2(__AImplementationAnalysis_19,x15,x13);
   if(ISTGPRM(x14,1)){
    CPCLS(__ACom_47,1);
    {OBJ x17;OBJ x18;
     PRD(1,0,x17);FLD(x17,1)=x16;
     x18=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x17);
     PRD(2,0,r);FLD(r,1)=x18;FLD(r,2)=__ASeq_6;}
   }else{
    FREE(x16,1);
    CPCLS(__AImplementationAnalysis_62,1);
    {OBJ x19;
     x19=(*(OBJ(*)(OBJ,OBJ))METHOD(__AImplementationAnalysis_62,1))(__AImplementationAnalysis_62,__ABUILTIN_20);
     PRD(2,0,r);FLD(r,1)=x19;FLD(r,2)=__ASeq_6;}}}}
 return r;}



static OBJ _mt_9_0_8(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,8);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 FLDCLS(r,6)=t6;
 FLDCLS(r,7)=t7;
 FLDCLS(r,8)=t8;
 return r;}

static OBJ _mt_9_0_9(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3,t4,t5,t6,t7,t8,t9);
 return r;}

static OBJ _mt_9_8_1(OBJ t,OBJ t1) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  COPY(FLDCLS(t,6),1);
  COPY(FLDCLS(t,7),1);
  COPY(FLDCLS(t,8),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),FLDCLS(t,7),FLDCLS(t,8),t1);
 return r;}
static OBJ _mt_9_8_1_l(OBJ t,OBJ t1) 
{OBJ r;
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),FLDCLS(t,7),FLDCLS(t,8),t1);
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  DCCLS(t,1);
  FLDCLS(t,1)=NIL;FLDCLS(t,2)=NIL;FLDCLS(t,3)=NIL;FLDCLS(t,4)=NIL;FLDCLS(t,5)=NIL;FLDCLS(t,6)=NIL;FLDCLS(t,7)=NIL;FLDCLS(t,8)=NIL;
  COPY(r,1);LZYCLS(t,r);}
 return r;}

static OBJ _mt_10_0_9(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9) 
{OBJ r;
 DPCLS(t,r);
 INCCLS(r,0,9);
 FLDCLS(r,1)=t1;
 FLDCLS(r,2)=t2;
 FLDCLS(r,3)=t3;
 FLDCLS(r,4)=t4;
 FLDCLS(r,5)=t5;
 FLDCLS(r,6)=t6;
 FLDCLS(r,7)=t7;
 FLDCLS(r,8)=t8;
 FLDCLS(r,9)=t9;
 return r;}

static OBJ _mt_10_0_10(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4,OBJ t5,OBJ t6,OBJ t7,OBJ t8,OBJ t9,OBJ t10) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3,t4,t5,t6,t7,t8,t9,t10);
 return r;}

static OBJ _mt_10_9_1(OBJ t,OBJ t1) 
{OBJ r;
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  COPY(FLDCLS(t,1),1);
  COPY(FLDCLS(t,2),1);
  COPY(FLDCLS(t,3),1);
  COPY(FLDCLS(t,4),1);
  COPY(FLDCLS(t,5),1);
  COPY(FLDCLS(t,6),1);
  COPY(FLDCLS(t,7),1);
  COPY(FLDCLS(t,8),1);
  COPY(FLDCLS(t,9),1);
  DCCLS(t,1);}
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),FLDCLS(t,7),FLDCLS(t,8),FLDCLS(t,9),t1);
 return r;}
static OBJ _mt_10_9_1_l(OBJ t,OBJ t1) 
{OBJ r;
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ,OBJ))ENTRY(t))(FLDCLS(t,1),FLDCLS(t,2),FLDCLS(t,3),FLDCLS(t,4),FLDCLS(t,5),FLDCLS(t,6),FLDCLS(t,7),FLDCLS(t,8),FLDCLS(t,9),t1);
 if(EXCLS(t)){
  DSCLSF(t);
 }else{
  DCCLS(t,1);
  FLDCLS(t,1)=NIL;FLDCLS(t,2)=NIL;FLDCLS(t,3)=NIL;FLDCLS(t,4)=NIL;FLDCLS(t,5)=NIL;FLDCLS(t,6)=NIL;FLDCLS(t,7)=NIL;FLDCLS(t,8)=NIL;FLDCLS(t,9)=NIL;
  COPY(r,1);LZYCLS(t,r);}
 return r;}

init_AImplementationAnalysis()
{
 static int visited=0; if(visited) return; visited=1;
 init_AMySeqFun1();
 init_AUniqueTable();
 init_AName4SigAna();
 init_ADeclEntry();
 init_APartNameEntry();
 init_ASeqConv();
 init_AImpExpEntry();
 init_ACom();
 init_ADArrayReduce();
 init_APragma();
 init_AStruct();
 init_AReal();
 init_AAttributes();
 init_AOcOptions();
 init_APartialSignatures();
 init_ADArray();
 init_AAnalyzedGlobSig();
 init_ATriple();
 init_ANatMap();
 init_AGlobSig();
 init_ARepSet();
 init_AArray();
 init_AGlobPragma();
 init_AKnowledge();
 init_APartName();
 init_AName();
 init_ASubstitution();
 init_ADenotation();
 init_AGlobSigImpl();
 init_AReason();
 init_AComCompose();
 init_AObjects();
 init_ACandidates();
 init_ADEBUG();
 init_AImpl();
 init_ALexem();
 init_AOcVerbose();
 init_APatterns();
 init_AOcExit();
 init_APair();
 init_ADataDefAnalysis();
 init_AMap();
 init_AFunDefAnalysis();
 init_ANat();
 init_ALawAnalysis();
 init_AOcError();
 init_APragmaAnalysis();
 init_ARep();
 init_ASeqMap();
 init_AFct();
 init_AMapReduce();
 init_AOption();
 init_ASeqFilter();
 init_AOcPos();
 init_ASeqReduce();
 init_ASeq();
 init_AGlobSig4SigAna();
 init_AVoid();
 init_ASeqOfSeq();
 init_AChar();
 init_ASetByBST();
 init_AString();
 init_ABSTree();
 init_AStream();
 init_ATree();
 init_AFile();
 init_AAbsyFun3();
 init_AInt();
 init_AAnalyzedGlobSigH();
 init_ASet();
 init_AGlobSigToText();
 init_ABitset();
 init_AImpDecl4SigAna();
 init_ATable();
 CLS(1,_AImplementationAnalysis_63,__AImplementationAnalysis_63);
 CLS(2,_AImplementationAnalysis_31,__AImplementationAnalysis_31);
 LCLS(1,_AImplementationAnalysis_62,__AImplementationAnalysis_62);
 CLS(4,_AImplementationAnalysis_30,__AImplementationAnalysis_30);
 CLS(4,_AImplementationAnalysis_29,__AImplementationAnalysis_29);
 CLS(10,_AImplementationAnalysis_60,__AImplementationAnalysis_60);
 DEN("unnamed law",__AImplementationAnalysis_28);
 DEN("analyzing implementations ...",__AImplementationAnalysis_59);
 CLS(4,_AImplementationAnalysis_27,__AImplementationAnalysis_27);
 CLS(2,_AImplementationAnalysis_58,__AImplementationAnalysis_58);
 CLS(4,_AImplementationAnalysis_26,__AImplementationAnalysis_26);
 CLS(2,_AImplementationAnalysis_57,__AImplementationAnalysis_57);
 CLS(4,_AImplementationAnalysis_25,__AImplementationAnalysis_25);
 CLS(2,_AImplementationAnalysis_56,__AImplementationAnalysis_56);
 DEN(" ...",__AImplementationAnalysis_24);
 CLS(2,_AImplementationAnalysis_55,__AImplementationAnalysis_55);
 DEN("free type:",__AImplementationAnalysis_23);
 CLS(2,_AImplementationAnalysis_54,__AImplementationAnalysis_54);
 CLS(2,_AImplementationAnalysis_22,__AImplementationAnalysis_22);
 CLS(1,_AImplementationAnalysis_53,__AImplementationAnalysis_53);
 CLS(2,_AImplementationAnalysis_21,__AImplementationAnalysis_21);
 CLS(1,_AImplementationAnalysis_52,__AImplementationAnalysis_52);
 CLS(1,_AImplementationAnalysis_20,__AImplementationAnalysis_20);
 DEN("non parameterized assume",__AImplementationAnalysis_51);
 CLS(1,_AImplementationAnalysis_50,__AImplementationAnalysis_50);
 CLS(2,_AImplementationAnalysis_18,__AImplementationAnalysis_18);
 DEN("assume of non parameter",__AImplementationAnalysis_49);
 CLS(2,_AImplementationAnalysis_17,__AImplementationAnalysis_17);
 CLS(1,_AImplementationAnalysis_48,__AImplementationAnalysis_48);
 CLS(4,_AImplementationAnalysis_16,__AImplementationAnalysis_16);
 DEN("assert of parameters only not allowed",__AImplementationAnalysis_47);
 CLS(1,_AImplementationAnalysis_15,__AImplementationAnalysis_15);
 DEN("checking relations ...",__AImplementationAnalysis_46);
 CLS(3,_AImplementationAnalysis_14,__AImplementationAnalysis_14);
 CLS(2,_AImplementationAnalysis_45,__AImplementationAnalysis_45);
 CLS(3,_AImplementationAnalysis_13,__AImplementationAnalysis_13);
 CLS(2,_AImplementationAnalysis_44,__AImplementationAnalysis_44);
 CLS(3,_AImplementationAnalysis_12,__AImplementationAnalysis_12);
 CLS(2,_AImplementationAnalysis_43,__AImplementationAnalysis_43);
 CLS(3,_AImplementationAnalysis_11,__AImplementationAnalysis_11);
 CLS(2,_AImplementationAnalysis_42,__AImplementationAnalysis_42);
 CLS(3,_AImplementationAnalysis_10,__AImplementationAnalysis_10);
 CLS(1,_AImplementationAnalysis_41,__AImplementationAnalysis_41);
 CLS(3,_AImplementationAnalysis_9,__AImplementationAnalysis_9);
 CLS(2,_AImplementationAnalysis_40,__AImplementationAnalysis_40);
 CLS(3,_AImplementationAnalysis_8,__AImplementationAnalysis_8);
 CLS(1,_AImplementationAnalysis_39,__AImplementationAnalysis_39);
 CLS(3,_AImplementationAnalysis_7,__AImplementationAnalysis_7);
 DEN("import of theory not possible",__AImplementationAnalysis_38);
 CLS(3,_AImplementationAnalysis_6,__AImplementationAnalysis_6);
 CLS(1,_AImplementationAnalysis_37,__AImplementationAnalysis_37);
 CLS(3,_AImplementationAnalysis_5,__AImplementationAnalysis_5);
 DEN("assert allowed for theories only",__AImplementationAnalysis_36);
 CLS(9,_AImplementationAnalysis_4,__AImplementationAnalysis_4);
 CLS(1,_AImplementationAnalysis_35,__AImplementationAnalysis_35);
 CLS(3,_AImplementationAnalysis_3,__AImplementationAnalysis_3);
 DEN("assume allowed for theories only",__AImplementationAnalysis_34);
 CLS(3,_AImplementationAnalysis_33,__AImplementationAnalysis_33);
 CLS(3,_AImplementationAnalysis_1,__AImplementationAnalysis_1);
 DEN("-zprintGsImpl",__AImplementationAnalysis_64);
 CLS(1,_AImplementationAnalysis_32,__AImplementationAnalysis_32);
 MTH(9,0,8,_mt_9_0_8);LZYMTH(9,0,8,_mt_9_0_8);
 MTH(9,0,9,_mt_9_0_9);LZYMTH(9,0,9,_mt_9_0_9);
 MTH(9,8,1,_mt_9_8_1);LZYMTH(9,8,1,_mt_9_8_1_l);
 MTH(10,0,9,_mt_10_0_9);LZYMTH(10,0,9,_mt_10_0_9);
 MTH(10,0,10,_mt_10_0_10);LZYMTH(10,0,10,_mt_10_0_10);
 MTH(10,9,1,_mt_10_9_1);LZYMTH(10,9,1,_mt_10_9_1_l);
 CPPRD(__AImplementationAnalysis_64,1);
 __AImplementationAnalysis_19=_ADEBUG_10(__AImplementationAnalysis_64);
 CPPRD(__AOcExit_1,1);
 PRD(1,1,__AImplementationAnalysis_61);FLD(__AImplementationAnalysis_61,1)=__AOcExit_1;}

